Skip to content
Docs

API reference / Operations by tag

creatives

Creative files, sets and previews that partners can download.

20 operations. Base URL https://api.metrixed.com/v1; see authentication, errors and pagination.

Operations

MethodPathSummary
GET/creative-setsList CreativeSets
POST/creative-setsCreate CreativeSet
GET/creative-sets/{id}Get CreativeSet
PATCH/creative-sets/{id}Update CreativeSet
DELETE/creative-sets/{id}Delete CreativeSet
POST/creative-sets/bulk/applyBulk edit apply
POST/creative-sets/bulk/previewBulk edit preview
POST/creative-sets/searchSearch CreativeSets (advanced)
GET/creativesList Creatives
POST/creativesCreate Creative
GET/creatives/{id}Get Creative
PATCH/creatives/{id}Update Creative
DELETE/creatives/{id}Delete Creative
POST/creatives/{id}/uploadUpload creative file (image/html/zip/video) to object storage
GET/creatives/{id}/urlPresigned / stable URL of the creative file
POST/creatives/bulk/applyBulk edit apply
POST/creatives/bulk/deleteDelete up to 500 creatives in one transaction (dry_run: true previews without saving)
POST/creatives/bulk/previewBulk edit preview
POST/creatives/searchSearch Creatives (advanced)
POST/files/uploadUpload temp file (multipart)

GET /creative-sets

List CreativeSets

Operation getCreativeSets. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
pagequeryintegerno
page_sizequeryintegerno
sortquerystringnofield or -field
includequerystringnocomma-separated relationships
filterqueryobject (free-form)no
qquerystringnofree-text search
StatusDescriptionBody
200okapplication/json CreativeSetList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/creative-sets?page=1&page_size=50' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

POST /creative-sets

Create CreativeSet

Operation postCreativeSets. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): CreativeSetCreate

FieldTypeFlagsDescription
offer_idstringrequired
namestringrequired
descriptionstring
creative_idsarray of string
statusstring
partner_visibilitystring
partner_idsarray of string
StatusDescriptionBody
201okapplication/json CreativeSet
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creative-sets' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"offer_id":"","name":""}'

Example 201 response:

json
{
  "external_ref": ""
}

GET /creative-sets/{id}

Get CreativeSet

Operation getCreativeSetsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json CreativeSet
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/creative-sets/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "external_ref": ""
}

PATCH /creative-sets/{id}

Update CreativeSet

Operation patchCreativeSetsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): CreativeSetUpdate

FieldTypeFlagsDescription
offer_idstring
namestring
descriptionstring
creative_idsarray of string
statusstring
partner_visibilitystring
partner_idsarray of string
StatusDescriptionBody
200okapplication/json CreativeSet
defaulterrorapplication/json Error
bash
curl -X PATCH 'https://api.metrixed.com/v1/creative-sets/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"offer_id":"","name":"","description":"","creative_ids":[""]}'

Example 200 response:

json
{
  "external_ref": ""
}

DELETE /creative-sets/{id}

Delete CreativeSet

Operation deleteCreativeSetsId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X DELETE 'https://api.metrixed.com/v1/creative-sets/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 204 response:

json
{
  "ok": false
}

POST /creative-sets/bulk/apply

Bulk edit apply

Operation postCreativeSetsBulkApply. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkPatch

FieldTypeFlagsDescription
idsarray of stringrequired
patchesarray of objectrequired
StatusDescriptionBody
200okapplication/json BulkPreview
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creative-sets/bulk/apply' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'

Example 200 response:

json
{
  "affected": 0,
  "changes": [
    {}
  ],
  "warnings": [
    ""
  ],
  "token": ""
}

POST /creative-sets/bulk/preview

Bulk edit preview

Operation postCreativeSetsBulkPreview. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkPatch

FieldTypeFlagsDescription
idsarray of stringrequired
patchesarray of objectrequired
StatusDescriptionBody
200okapplication/json BulkPreview
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creative-sets/bulk/preview' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'

Example 200 response:

json
{
  "affected": 0,
  "changes": [
    {}
  ],
  "warnings": [
    ""
  ],
  "token": ""
}

POST /creative-sets/search

Search CreativeSets (advanced)

Operation postCreativeSetsSearch. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): SearchRequest

FieldTypeFlagsDescription
filtersarray of object
searchstring
sortarray of object (free-form)
pageinteger
page_sizeinteger
includearray of string
StatusDescriptionBody
200okapplication/json CreativeSetList
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creative-sets/search' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

GET /creatives

List Creatives

Operation getCreatives. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
pagequeryintegerno
page_sizequeryintegerno
sortquerystringnofield or -field
includequerystringnocomma-separated relationships
filterqueryobject (free-form)no
qquerystringnofree-text search
StatusDescriptionBody
200okapplication/json CreativeList
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/creatives?page=1&page_size=50' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

POST /creatives

Create Creative

Operation postCreatives. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): CreativeCreate

FieldTypeFlagsDescription
offer_idsarray of string
namestringrequired
typeenum: image, html, thumbnail, email, archive, video, text, link, nativerequired
statusstring
is_privateboolean
widthinteger
heightinteger
file_refstring
resource_urlstring
html_codestring
html_filesarray of object (free-form)
mime_typestring
descriptionstring
emailobject (free-form)from, subject, subject_lines, from_lines
partner_visibilitystring
partner_idsarray of string
tagsarray of string
StatusDescriptionBody
201okapplication/json Creative
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"name":"","type":"image"}'

Example 201 response:

json
{
  "external_ref": ""
}

GET /creatives/{id}

Get Creative

Operation getCreativesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json Creative
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/creatives/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "external_ref": ""
}

PATCH /creatives/{id}

Update Creative

Operation patchCreativesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): CreativeUpdate

FieldTypeFlagsDescription
offer_idsarray of string
namestring
typeenum: image, html, thumbnail, email, archive, video, text, link, native
statusstring
is_privateboolean
widthinteger
heightinteger
file_refstring
resource_urlstring
html_codestring
html_filesarray of object (free-form)
mime_typestring
descriptionstring
emailobject (free-form)from, subject, subject_lines, from_lines
partner_visibilitystring
partner_idsarray of string
tagsarray of string
StatusDescriptionBody
200okapplication/json Creative
defaulterrorapplication/json Error
bash
curl -X PATCH 'https://api.metrixed.com/v1/creatives/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"offer_ids":[""],"name":"","type":"image","status":""}'

Example 200 response:

json
{
  "external_ref": ""
}

DELETE /creatives/{id}

Delete Creative

Operation deleteCreativesId. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X DELETE 'https://api.metrixed.com/v1/creatives/<id>' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 204 response:

json
{
  "ok": false
}

POST /creatives/{id}/upload

Upload creative file (image/html/zip/video) to object storage

Operation postCreativesIdUpload. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes

Request body (application/json, required): any

StatusDescriptionBody
200okapplication/json Creative
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives/<id>/upload' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "external_ref": ""
}

GET /creatives/{id}/url

Presigned / stable URL of the creative file

Operation getCreativesIdUrl. Auth: API key (Bearer) or session cookie.

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
200okapplication/json Ok
defaulterrorapplication/json Error
bash
curl 'https://api.metrixed.com/v1/creatives/<id>/url' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "ok": false
}

POST /creatives/bulk/apply

Bulk edit apply

Operation postCreativesBulkApply. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkPatch

FieldTypeFlagsDescription
idsarray of stringrequired
patchesarray of objectrequired
StatusDescriptionBody
200okapplication/json BulkPreview
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/apply' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'

Example 200 response:

json
{
  "affected": 0,
  "changes": [
    {}
  ],
  "warnings": [
    ""
  ],
  "token": ""
}

POST /creatives/bulk/delete

Delete up to 500 creatives in one transaction (dry_run: true previews without saving)

Operation postCreativesBulkDelete. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkDeleteRequest

StatusDescriptionBody
200okapplication/json BulkActionResult
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/delete' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Example 200 response:

json
{}

POST /creatives/bulk/preview

Bulk edit preview

Operation postCreativesBulkPreview. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): BulkPatch

FieldTypeFlagsDescription
idsarray of stringrequired
patchesarray of objectrequired
StatusDescriptionBody
200okapplication/json BulkPreview
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives/bulk/preview' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"ids":[""],"patches":[{"field":"","value":{}}]}'

Example 200 response:

json
{
  "affected": 0,
  "changes": [
    {}
  ],
  "warnings": [
    ""
  ],
  "token": ""
}

POST /creatives/search

Search Creatives (advanced)

Operation postCreativesSearch. Auth: API key (Bearer) or session cookie.

Request body (application/json, required): SearchRequest

FieldTypeFlagsDescription
filtersarray of object
searchstring
sortarray of object (free-form)
pageinteger
page_sizeinteger
includearray of string
StatusDescriptionBody
200okapplication/json CreativeList
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/creatives/search' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{"filters":[{}],"search":"","sort":[{}],"page":0}'

Example 200 response:

json
{
  "data": [
    {}
  ],
  "page": {}
}

POST /files/upload

Upload temp file (multipart)

Operation postFilesUpload. Auth: API key (Bearer) or session cookie.

StatusDescriptionBody
200okapplication/json Ok
defaulterrorapplication/json Error
bash
curl -X POST 'https://api.metrixed.com/v1/files/upload' \
  -H "Authorization: Bearer $DT_API_KEY" \
  -H 'Accept: application/json'

Example 200 response:

json
{
  "ok": false
}